package com.energy.manage.common.po.datatransfer;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 数据转换基本类
 * @author chy
 * @date 2024/5/20 14:13
 * @desc
 */
@Table(name = "date_tansfer")
@Data
public class DataTransferPo {

    /**
     * 主键
     */
    private Long id ;

    /**
     * 风场编号
     */
    private String fieldCode ;

    /**
     * 批次编号
     */
    private String batchCode ;

    /**
     * 机组数量
     */
    private Integer engineCount ;

    /**
     * 转换类型
     */
    private String transferType ;

    /**
     * 转换路径
     */
    private String transferAddr ;

    /**
     * 时间粒度
     */
    private Integer timeGranularity = 0;

    /**
     * 异常信息
     */
    private String errInfo ;

    /**
     * 转换时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date transferFinishTime ;

    /**
     * 转换状态
     */
    private int transferState = -1;

    /**
     * 创建人
     */
    private Integer createBy ;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime ;

    /**
     * 更新人
     */
    private Integer updateBy ;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime ;

    /**
     * 是否已触发自动分析 0 ：无  1：是
     */
    private Integer callState;

    /**
     * 转换进度
     */
    private BigDecimal transferProgress;
}
