package com.energy.manage.service.domain.dto.analysis;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author chy
 * @date 2024/5/30 09:56
 * @desc
 */
@Data
@Accessors(chain = true)
public class AnalysisDto {

    /**
     * 手动自动分析 枚举值：auto、manual
     * automatic 表示自动触发；
     * manual 表示人工触发；
     */
    private String autoOrManual;

    /**
     * 风场编号
     */
    private String powerFarmID;

    /**
     * 批次号
     */
    private String dataBatchNum;

    /**
     * 机组编号
     */
    private List<String> turbines;

    /**
     * 开始时间 格式(2024-01-01 00:00:00)
     */
    private String beginTime;

    /**
     * 结束时间 格式(2024-12-12 00:00:00)
     */
    private String endTime;

    /**
     * 过滤月份
     */
    private List<String> excludingMonths;

    /**
     * 数据源scada
     * 枚举值：minute、second、all，
     * minute 用于人工分析场景，指定分析类型使用scada分钟级数据；
     * seconde 用于人工分析场景，指定分析类型使用scada秒级数据；
     * all 用于自动分析场景
     */
    private String scada;

    /*自定义scada数据测点筛选 customFilter*/
    /**
     * 风速值最大最小
     */
    private List<Integer> valueWindSpeed;

    /**
     * 桨距角最大最小
     */
    private List<Integer> valuePitchAngle;

    /**
     * 有功功率
     */
    private List<Integer> valueActivePower;

    /**
     * 发电机转速
     */
    private List<Integer> valueGeneratorSpeed;

    /*分析类型 configAnalysis*/
    /**
     * 分析类型code
     */
    private List<String> configAnalysis;

    /*图像设置参数 graphSets*/
    /**
     * 直驱发电机转速轴系
     */
    private List<Integer> dGeneratorSpeed;

    /**
     * 非直驱发电机转速轴系设置
     */
    private List<Integer> iGeneratorSpeed;

    /**
     * 直驱发电机转矩轴系
     */
    private List<Integer> dGeneratorTorque;

    /**
     * 非直驱发电机转矩轴系
     */
    private List<Integer> iGeneratorTorque;

    /**
     *风能利用系数轴系
     */
    private List<Integer> cp;

    /**
     * 叶尖速比轴系
     */
    private List<Integer> tsr;

    /**
     * 桨距角轴系
     */
    private List<Integer> pitchAngle;

    /**
     * 有功功率轴系
     */
    private List<Integer> activePower;

}
