package com.energy.manage.service.domain.vo.analysis;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 分析结果
 * @author chy
 * @date 2024/5/23 12:50
 * @desc
 */
@Table(name = "analysis_result")
@Data
public class AnalysisResultVo {

    /**
     * 风场名称
     */
    private String fieldName;

    /**
     * 风场编号
     */
    private String fieldCode;

    /**
     * 批次编号
     */
    private String batchCode ;

    /**
     * 批次名称
     */
    private String batchName;

    /**
     * 分析状态
     */
    private Integer analysisState ;

    /**
     * 异常状态
     */
    private Integer errState ;

    /**
     * 异常编号
     */
    private String errCode ;

    /**
     * 异常信息
     */
    private String errInfo ;

    /**
     * 创建人
     */
    private Integer createBy ;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime ;

    /**
     *  更新人
     */
    private Integer updateBy ;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime ;

    /**
     * 分析进度
     */
    private BigDecimal analysisProgress;

}
