package com.energy.manage.service.domain.vo.windenginegroup;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 导入参数
 */
@Getter
@Setter
@ApiModel
public class WindEngineGroupPageVo {

    /**
     * 风场编号
     */
    @ApiModelProperty("风场编号")
    private String fieldCode;

    @ApiModelProperty("风场名称")
    private String fieldName;
    /**
     * 风机编号
     */
    @ApiModelProperty("风机编号")
    private String engineCode;
    /**
     * 风机名称
     */
    @ApiModelProperty("风机名称")
    private String engineName;
    /**
     * 额定容量
     */
    @ApiModelProperty("额定容量")
    private Double ratedCapacity;
    /**
     * 海拔高度
     */
    @ApiModelProperty("海拔高度")
    private Double elevationHeight;
    /**
     * 轮毂高度
     */
    @ApiModelProperty("轮毂高度")
    private Double hubHeight;
    /**
     * 经度
     */
    @ApiModelProperty("经度")
    private Double longitude;
    /**
     * 维度
     */
    @ApiModelProperty("维度")
    private Double latitude;
    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer state;
    /**
     * 是否标杆风机
     */
    @ApiModelProperty("是否标杆风机")
    private Integer sightcing;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(value = "机型型号")
    private String machineTypeCode;

    @ApiModelProperty(value = "厂商名字")
    private String manufacturerName;

    /**
     * 额定风速 （m/s）
     */
    @ApiModelProperty("额定风速")
    private Double rated_wind_speed;
    /**
     * 切入风速 （m/s）
     */
    @ApiModelProperty("切入风速")
    private Double ratedCutInWindspeed;
    /**
     * 切出风速 （m/s）
     */
    @ApiModelProperty("切出风速")
    private Double ratedCutOutWindspeed;

}
