package com.energy.manage.service.property.analysis;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 算法属性值
 * @author chy
 * @date 2024/5/30 17:37
 * @desc
 */
@Component
public class AlgorithmProperties {

    /**
     * 算法地址
     */
    public static String analysisUrl;

    /**
     * 传给分析算法json
     */
    public static String analysisJson;

    /**
     * 分析类型json
     */
    public static String configAnalysisJson;

    /**
     * 图像设置参数属性
     */
    public static List<String> graphSetsProperties;

    /**
     * scada 数据过滤属性
     */
    public static List<String> customFilterProperties;

    /**
     * 分析类型属性
     */
    public static String configAnalysisProperties;

    /**
     * 功率因数
     */
    public static String powerFactorRated;


    /**
     * 算法json中无子节点数组
     */
    public static List<String> arrayProperties;


    @Value("${analysis.url}")
    public void setAnalysisUrl(String analysisUrl){
        AlgorithmProperties.analysisUrl = analysisUrl;
    }

    @Value("${analysis.algorithm.json}")
    public void setAnalysisJson(String analysisJson){
        AlgorithmProperties.analysisJson = analysisJson;
    }

    @Value("${graphSets.properties}")
    public void setGraphSetsProperties(List<String> graphSetsProperties){
        AlgorithmProperties.graphSetsProperties = graphSetsProperties;
    }

    @Value("${customFilter.properties}")
    public void setCustomFilterProperties(List<String> customFilterProperties){
        AlgorithmProperties.customFilterProperties = customFilterProperties;
    }

    @Value("${analysis.properties.name}")
    public void setConfigAnalysisProperties(String configAnalysis){
        AlgorithmProperties.configAnalysisProperties = configAnalysis;
    }

    @Value("${analysis.type.json}")
    public void setConfigAnalysisJson(String configAnalysisJson){
        AlgorithmProperties.configAnalysisJson = configAnalysisJson;
    }

    @Value("${power.factor.rated}")
    public void setPowerFactorRated(String powerFactorRated){
        AlgorithmProperties.powerFactorRated = powerFactorRated;
    }
    @Value("${analysis.array.properties}")
    public void setArrayProperties(List<String> arrayProperties){
        AlgorithmProperties.arrayProperties = arrayProperties;
    }
}
