package com.energy.manage.service.service.analysis;

import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.domain.dto.analysis.AnalysisDto;
import com.energy.manage.service.domain.dto.analysis.AnalysisResultDto;
import com.energy.manage.service.domain.vo.analysis.AnalysisDetailVo;
import com.energy.manage.service.domain.vo.analysis.AnalysisResultShowVo;
import com.energy.manage.service.domain.vo.analysis.AnalysisResultVo;

import java.util.List;

/**
 * 分析服务
 * @author chy
 * @date 2024/5/23 12:59
 * @desc
 */
public interface AnalysisService {

    /**
     * 分析结果列表
     * @param analysisResultDto
     * @return
     */
    List<AnalysisResultVo> analysisResultList(AnalysisResultDto analysisResultDto);


    /**
     * 分析
     * @param analysisDto
     * @return
     */
    ResultResp analysis(AnalysisDto analysisDto);


    /**
     * 分析编辑查询
     * @param batchCode
     * @return
     */
    AnalysisResultShowVo analysisEditQuery(String batchCode);

    /**
     * 分析详情
     * @param batchCode
     * @param analysisTypeCode
     * @param fieldEngineCode
     * @return
     */
    List<AnalysisDetailVo> analysisDetail(String batchCode, String analysisTypeCode, String fieldEngineCode);


    /**
     * 分析中检查
     * @return
     */
    boolean checkAnalysising();


}
