package com.energy.manage.service.service.powerwordcontract;

import com.energy.manage.common.base.Page;
import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.domain.dto.powerwordcontract.PowerWordContractDelDto;
import com.energy.manage.service.domain.dto.powerwordcontract.PowerWordContractDto;
import com.energy.manage.service.domain.dto.powerwordcontract.PowerWordContractExcelDto;
import com.energy.manage.service.domain.dto.powerwordcontract.PowerWordContractPageDto;
import com.energy.manage.service.domain.dto.powerwordcriterion.PowerWordCriterionDto;
import com.energy.manage.service.domain.vo.powerwordcontract.PowerWordContractPageVo;
import org.springframework.web.multipart.MultipartFile;

/**
 * 合同功率接口
 */
public interface PowerWordContractService {

    /**
     * 同步合同功率,（选择风场编号，机型编号导入功率曲线）
     *
     * @param file,fieldCode
     * @return
     */
    ResultResp powerWordContractImportData(MultipartFile file, PowerWordContractExcelDto powerWordContractExcelDto);


    /**
     * 功率曲线分页查询
     * @param
     * @return
     */
    Page<PowerWordContractPageVo> powerWordContractPage(PowerWordContractPageDto powerWordContractPageDto);


    /**
     * 删除风机合同功率
     * @param
     * @return
     */
    boolean delPowerWordContract(PowerWordContractDelDto powerWordContractDelDto);



    /**
     * 更新
     * @param powerWordContractDto
     * @return
     */
    boolean updatePowerWordContract(PowerWordContractDto powerWordContractDto);

}
